package com.fshark.overseas.advert.util;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author libing
 * @version 1.0
 * @date 2019-08-02 16:04
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppConfig implements Serializable {

    private String stateSavePath;

    private String dbHost;

    private String dbUser;

    private String dbPassword;

    private String aggregateTopic;

    private String aggregateBootstrapServers;

    private String aggregateGroupId;

    private String sourceKafkaBootstrapServers;

    private String sourceKafkaGroupId;

    private String sourceKafkaTopic;

    private String sinkKafkaBootstrapServers;

    private String sinkKafkaGroupId;

    private String sinkKafkaTopic;

    private String sinkType;

}
