package com.fshark.overseas.advert.modle.metrics;


import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode(callSuper=false)
@Data
public class ActivationMetrics extends BaseMetrics implements Serializable {

    private String uid;
    /**
     * 激活数 按唯一设备去重
     */
    private Long data_activation =0L;
    /**
     * 注册数 按唯一用户去重
     */
    private Long data_register = 0L;
    /**
     * 设备注册数
     */
    private Long data_device_register = 0L;
    /**
     * 创角数 (不去重的)
     */
    private Long data_create_role = 0L;
    /**
     * 当日激活 并且当日注册数
     */
    private Long data_day_act_register = 0L;
    /**
     * 当日注册 并且当日创角数
     */
    private Long data_day_register_create = 0L;
    /**
     * 当日登录用户，排除当日注册用户
     */
    private Long data_active_day_dau = 0L;

    /**
     * 留存天数
     */
    private Long dateRemind = 0L;
}
